USE [Office]
--Get the Visit IDs where there are no procedures
SELECT m.VisitID, m.VisitSecondaryID, m.OfficeID
INTO #tmpIDs
FROM VisitMaster m
LEFT JOIN VisitProcedures p
ON m.VisitID = p.VisitID
WHERE p.VisitID is null;

--Create a template for blank procedures
--Copy the Procedure Schema
SELECT TOP 0 * INTO #ProcedureTemplate FROM VisitProcedures; 
 --Remove the ID column
ALTER TABLE #ProcedureTemplate DROP COLUMN VisitID;
--Add the blank E/M procedure rows.
INSERT INTO #ProcedureTemplate (Provider, Ordinal, Code, Description, modifier, fee, rvu, Units) VALUES (1,-1,'','','',0,0,1), (0,-1,'','','',0,0,1); 

--Insert the combined IDs and Procedure templates
INSERT INTO VisitProcedures SELECT * FROM (SELECT IDs.VisitID, temp.* FROM #tmpIDs IDs CROSS APPLY #ProcedureTemplate temp) Blanks;

--Display affected Visits/Offices.
SELECT VisitSecondaryID as VisitID, name as [Office Name] 
FROM #tmpIDs id JOIN Offices o on o.OfficeID = id.OfficeID
ORDER BY name, VisitSecondaryID

--Cleanup
DROP TABLE #tmpIDs;
DROP TABLE #ProcedureTemplate;